Skip to main content
PATCH
PATCH /v1/teams/{id}

Update a Team

Update a team’s properties using JSON Merge Patch. You can update by ID.

Update by ID

string
required
UUID of the team to update.

Body Parameters

Send a JSON object with the fields to update. Only provided fields are changed.
string
Updated display name.
string
Updated description in Markdown format.
string
Updated email address for the team.
boolean
Whether users can join this team without an invitation.
array
Updated list of owner references.
array
Updated list of policy references.
string
Updated domain FQN.
PATCH /v1/teams/{id}

Returns

Returns the updated team object with the new version number.

Response

string
Unique identifier for the team (UUID format).
string
Team name.
string
Fully qualified name (same as name for teams).
string
Updated description.
number
Incremented version number.

Error Handling